// IAccountInfo.aidl
package com.qihoo.quc.msec.login;

/**
 * 用户登录信息
 *
 * @author Jiongxuan Zhang
 */
interface IAccountInfo {

    /**
     * 获取用户名（如邮箱、手机号等）
     */
    String getUserName();

    /**
     * 获取昵称
     */
    String getNickName();

    /**
     * 获取用户唯一标识（QID）
     */
    String getQid();

    /**
     * 获取用户登录Cookie
     */
    String getCookie();

    /**
     * 获取用户登录Cookie中的Q字段
     */
    String getQ();

    /**
     * 获取用户登录Cookie中的T字段
     */
    String getT();

    /**
     * 获取用户头像URL
     */
    String getAvatarUrl();

    /**
     * 是否已绑定手机？
     *
     * @since 6.1.6
     */
    boolean isMobileBind();

    /**
     * 是否仍有效？（指QT没有失效）
     * 可能失效的情景可能有：被修改密码、密保信息；QT过期（一个月）；帐号被冻结等
     *
     * @since 6.2.1
     */
    boolean isValid();
}